Difference between revisions of "Sketcher Workbench/pl"

From FreeCAD Documentation
Jump to: navigation, search
Line 9: Line 9:
 
{{TOCright}}
 
{{TOCright}}
 
[[File:FC_ConstrainedSketch.png|none]]
 
[[File:FC_ConstrainedSketch.png|none]]
<div class="mw-translate-fuzzy">
+
''Podstawowy szkic w pełni ograniczony więzami.''
[[File:FC_ConstrainedSketch.png|thumb|left|Podstawowy szkic w pełni ograniczony więzami]]
 
</div>
 
  
 
=== Podstawy szkicowania z więzami ===
 
=== Podstawy szkicowania z więzami ===

Revision as of 00:37, 4 August 2018

Other languages:
български • ‎čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎hrvatski • ‎magyar • ‎Bahasa Indonesia • ‎italiano • ‎日本語 • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська • ‎中文 • ‎中文(中国大陆)‎ • ‎中文(繁體)‎ • ‎中文(台灣)‎

Warsztat Szkicownika (Sketcher Workbench) używany jest do tworzenia geometrii 2D przeznaczonej do wykorzystania w Warsztacie PartDesign i innych warsztatach. Zasadniczo geometria 2D jest uznawana za punkt startowy dla większości modeli CAD - prosty szkic 2D może zostać 'wyciągnięty' w bryłę 3D, dalsze szkice 2D mogą zostać użyte do stworzenia kieszeni (zagłębień) na powierzchni tej bryły i w końcu szkice mogą zostać użyte do wykonania 'występów' (wyciągnięć) na powierzchni obiektów 3D. Wraz z operacjami boole'owskimi, kształty powstałe ze szkiców są rdzeniem produktywnego modelowania bryłowego.

Warsztat Szkicownika cechuje się więzami pozwalając na opisanie kształtów 2D dokładnymi definicjami geometrycznymi. Dodatkowo solwer przelicza tę geometrię pozwalając na interaktywne badanie stopni swobody szkicu.

FC ConstrainedSketch.png

Podstawowy szkic w pełni ograniczony więzami.

Podstawy szkicowania z więzami

By wytłumaczyć jak działa Szkicownik może być przydatne porównanie do "tradycyjnego" sposobu rysowania.

Rysowanie Tradycyjne

Tradycyjna metoda rysowania CAD pochodzi od dawnej deski kreślarskiej. Rzuty prostopadłe (2D) są rysowanie ręczenie i przeznaczone do tworzenia rysunków technicznych. Obiekty są rysowane precyzyjnie w zamierzonej skali lub wymiarze. Jeśli chcesz narysować poziomą linię o długości 100mm startującą w punkcie (0,0), musisz aktywować narzędzie linii, kliknąć na ekranie bądź wprowadzić współrzędne (0,0) dla pierwszego punktu, następnie wykonać kolejne kliknięcie lub wprowadzić współrzędnie dla drugiego punktu (0,100). Ewentualnie możesz narysować linię bez określanie jej pozycji i przesunąć ją później. Kiedy skończysz rysować geometrię, dodajesz wymiary do niej.

Szkicowanie z Więzami

Skicownik odchodzi od tej logiki. Obiekty nie muszą być rysowane dokładnie jak założyłeś, bo zostaną później zdefiniowane za pomocą więzów. Obiekty mogą być rysowane nieściśle i, tak długą jak nie są ograniczone więzami, mogą być modyfikowane. W efekcie są "pływające" i mogą być przesuwane, rozciągane, obracane, skalowane itp. To daje ogromną elastyczność procesu projektowania.

Czym są więzy?

Więzy używane są do ograniczenia stopni swobody obiektu. Dla przykładu, linia bez więzów ma 4 stopnie swobody: może być przesuwana w poziomie lub pionie, rozciągana i obracana.

Wykorzystanie więzu poziomego lub pionowego, lub więzu kąta (względem innej linii lub jednej z osi), ogranicz jej zdolność do obracania pozostawiając ją z 3 stopniami swobody. Zablokowanie jednego z punktów w relacji do układu współrzędnych usunie kolejne dwa stopnie. W końcu zastosowanie więzu wymiaru usunie ostatni stopień swobody. Linia jest w wtedy uznawana za w pełni ograniczoną więzami.

Różne obiekty mogą być wiązane między sobą. Dwie linie mogą być związane, którymiś ze swoich punktów, więzem nachodzenia (coincident). Między zostać ustawiony kąt między nimi lub mogą zostać powiązane jako prostopadłe. Linia może być styczna do łuku lub okręgu itp.

Są dwa typy więzów: geometryczne i wymiarowe.Są one opisane dokładnej w poniższej sekcji 'The tools'.

Zastosowania do których Szkicownik się nie nadaje

Szkicownik nie jest przeznaczony do tworzenia dokumentacji 2D. Gdy szkice zostają użyte do utworzenia brył, są automatycznie ukrywane. Wymiary są widoczne tylko w trybie edycji Szkicownika.

Jeśli potrzebujesz tylko stworzyć widoki 2D do wydruku, i nie chcesz tworzyć modeli 3D, sprawdź warsztat Draft (weź pod uwagę, że warsztat Draft może być także użyteczny przy tworzeniu geometrii 2D niedostępnej aktualnie w Szkicowniku, jak B-Splajny.)

Sketching Workflow

To be added

If the Sketch has segments that cross one another, places where a Point is not directly on a segment, or places where there are gaps between endpoints of adjacent segments, Pad or Revolve won't create a solid. The exception to this rule is that it doesn't apply to Construction (blue) Geometry.

Inside the enclosed area we can have smaller non-overlapping areas. These will become voids when the 3D solid is created.

Narzędzia

Narzędzia Warsztatu Szkicownika znajdują się w menu Szkicownika, które pojawia się po załadowaniu tego warsztatu.

Sketcher Geometries

These are tools for creating objects.

  • Sketcher CreatePoint.png Point: Draws a point
  • Sketcher Arc.png Arc: Draws an arc segment from center, radius, start angle and end angle
  • Sketcher Circle.png Circle: Draws a circle from center and radius
  • Sketcher Line.png 2-point Line: Draws a line segment from 2 points
  • Sketcher CreatePolyline.png Polyline (multiple-point line): Draws a line made of multiple line segments
  • Sketcher CreateRectangle.png Rectangle: Draws a rectangle from 2 opposite points
  • Sketcher CreateFillet.png Fillet: Makes a fillet between two lines joined at one point. Select both lines or click on the corner point, then activate the tool.
  • Sketcher Trimming.png Trimming: Trims a line, circle or arc with respect to the clicked point.
  • Sketcher External.png External Geometry: Creates an edge linked to external geometry.
  • Sketcher ToggleConstruction.png Construction Mode: Toggles an element to/from construction mode. A construction object will not be used in a 3D geometry operation.

Sketcher Constraints

Constraints are used to set rules between sketch elements, and to lock the sketch along the vertical and horizontal axes.

  • Sketcher ConstrainLock.png Lock: Creates a lock constraint on the selected item by setting vertical and horizontal dimensions relative to the origin (dimensions can be edited afterwards).
  • Sketcher ConstrainCoincident.png Coincident: Creates a coincident (point-on-point) constraint between two selected points.
  • Sketcher ConstrainPointOnObject.png Point On Object: Creates a point-on-object constraint on selected items.
  • Sketcher ConstrainDistanceX.png Horizontal Distance: Fixes the horizontal distance between 2 points or line ends. If only one item is selected, the distance is set to the origin.
  • Sketcher ConstrainDistanceY.png Vertical Distance: Fixes the vertical distance between 2 points or line ends. If only one item is selected, the distance is set to the origin.
  • Constraint Vertical.png Vertical: Creates a vertical constraint to the selected lines or polylines elements. More than one object can be selected.
  • Constraint Horizontal.png Horizontal: Creates a horizontal constraint to the selected lines or polylines elements. More than one object can be selected.
  • Sketcher ConstrainDistance.png Length: Creates a length constraint on a selected line.
  • Sketcher ConstrainRadius.png Radius: Creates a radius constraint on a selected arc or circle.
  • Sketcher ConstrainParallel.png Parallel: Creates a parallel constraint between two selected lines.
  • Sketcher ConstrainPerpendicular.png Perpendicular: Creates a perpendicular constraint between two selected lines.
  • Constraint InternalAngle.png InternalAngle: Creates an internal angle constraint between two selected lines.
  • Constraint Tangent.png Tangent: Creates a tangent constraint between two selected entities, or a colinear constraint between two line segments.
  • Sketcher ConstrainEqual.png Equal Length: Creates an equality constraint between two selected entities. If used on circle or arcs, the radius will be set equal.
  • Sketcher ConstrainSymmetric.png Symmetric: Creates‎ a symmetric constraint between 2 points with respect to a line.

Other

  • Sketcher NewSketch.png New Sketch: Creates‎ a new sketch on a selected face or plane. If none were selected, the default work plane XY will be used.
  • Sketcher ViewSketch.png View sketch: Sets the model view perpendicular to the sketch plane.
  • Sketcher MapSketch.png Map sketch: maps a sketch to the previously selected face of a solid.
  • Sketcher LeaveSketch.png Leave Sketch: Leave the Sketch editing mode.
  • Sketcher Reorient: Allows you to change the position of a sketch
  • Valida sketch: It allows you to check if there are in the tolerance of different points and to match them.


Dobre praktyki

Każdy użytkownik systemów CAD wypracowuje własny sposób pracy, ale poniżej znajduje się kilka użytecznych, głównych wskazówek do wykorzystania.

  • Kilka prostych szkiców jest łatwiej opanować niż jeden skomplikowany. Np., pierwszy szkic może być utworzony jako baza do cechy 3D (występu lub kieszeni), kiedy drugi może zawierać otwory lub wycięcia (kieszenie). Część szczegółów może zostać wyrzucona, by zrealizować je w postaci cech 3D. Możesz uniknąć zaokrągleń w szkicu jeśli jest ich zbyt wiele i dodać je jako cechy 3D.
  • Zawsze twórz zamknięty profil, inaczej ze szkicu nie zostanie utworzona bryła, a zbiór otwartych ścian. Jeśli nie chcesz użyć niektórych obiektów podczas tworzenia bryły, zmień je na elementy konstrukcyjne narzędziem Tryb Konstrukcji.
  • Użyj funkcji autowiązania by ograniczyć ilość więzów które będziesz dodawał ręcznie
  • Jako główna zasada, najpierw dodawaj więzy geometryczne, potem wymiarowe i na końcu zablokuj szkic. Ale zapamiętaj: zasady są po to by je łamać. Jeśli masz problemy z manipulowaniem szkicem, może być przydatne związanie najpierw kilku obiektów przed ukończeniem rysowania profilu.
  • Jeśli to możliwe, wycentruj szkic na początku układu współrzędnych (0,0) używając więzu blokady.Jeśli szkic nie jest symetryczny, ustaw jeden z jego punktów na początku układu współrzędnych lub wybierz całkowite liczby do zablokowania odległości. W v0.12 więzy zewnętrzne nie są zaimplementowane (dopiero v0.13 ma ich wstępną obsługę). Znaczy to, że by ustawić geometrię szkicu do szkicu wcześniejszego, musisz zrobić to ręczne. Więz blokady (25,75) od początku układu współrzędnych jest znacznie łatwiejszy do zapamiętania niż taki (23.47,73.02).
  • Jeśli możesz wybrać pomiędzy więzem Długości a Poziomym lub Pionowym więzem Odległości, wybierz ten drugi. Będzie on lżejszy w procesie obliczeń.


Tutorials